# 2. Project management

## Class site

[Project Management](http://academy.cba.mit.edu/classes/project_management/index.html)

## Class video

[Fab-20190123B_Review00](https://vimeo.com/314004027) Kota!!  
[Fab-20190123D_Lesson01: project management](https://vimeo.com/314004299)
[Fab-20190128A_Recitation01: version control](https://vimeo.com/314643628)

## Assignment

> work through a git tutorial  
> build a [personal site](http://cse.google.com/cse?cx=005180655622273248137:bjgkhj-m09c) in the class archive describing you and your final project

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_management.html)

* Explore and use website development tools
* Identify and utilise version control protocols

## Have you?

* Made a website and described how you did it  
* Introduced yourself
* Documented steps for uploading files to archive
* Pushed to the class archive
* Signed and uploaded [Student Agreement](https://gitlab.fabcloud.org/academany/fabacademy/2019/site/blob/master/doc/students.md)


## For Japanese

### Repository
* [GitLab](https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/students)を使用します
* GitLabへのログイン
    * Username and email: email address (registrationで使用したもの)
    * Password: Student ID (すぐに変更して下さい)
    * fablabsボタンは押さないように
* Studentのサイト
    * Markdownのテンプレートが既に各受講生のRepoにアップロードされています
    * `mkdocs.yml`の中身を自分用に変更します
    * １度目の編集がトリガーとなって自分の[サイト](http://fabacademy.org/2019/people.html)が作られます
    * とりあえずこのテンプレートのサイトを使って大丈夫ですが、最終的にはHTMLでサイトを作ることを勧めています
* Notification setting
    * [Fab Academy 2019 Class](https://gitlab.fabcloud.org/academany/fabacademy/2019/class)のNotification settingを`Global`から`Watch`にします
    * Fab Academy 2019 Classの Issue がメールで届くようになります
* 権限
    * 自分のRepoの権限は`Master`です。大きなファイルの削除も出来ます。 
    * インストラクターには lab groupと担当する受講生のRepoのMaster権限があります
* Repoのサイズ
    * おおよそ300MB(各週1-2MB程度が目安)
    * サイズの大きい受講生はリストアップされ、小さくするように指摘されます
    * 特に画像ファイルには注意 [TIP - Image optimization and why to do it](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/automating-image-optimization/
)
    * ファイルサイズの確認: $ [du](http://www.linfo.org/du.html) -s * | sort -rn 
    * 画像ファイルはリサイズしてRepoに含めます（Google Driveなどから外部リンクすると最終評価の時に修正を指示されます。[基準として10MBを超えるものは外部に保存](http://fabacademy.org/2019/docs/FabAcademy-Assessment/general_essentials.html)します。）
    * [Remember that The Global Evaluation team should be able to pull and then assess your work offline.](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_management.html)
    * [ImageMagic](http://academy.cba.mit.edu/classes/computer_design/image.html): 写真やスクリーンショットのリサイズに使用できる
    * [ffmpeg](http://ffmpeg.org/): 動画の圧縮やエンコード方式変更などに使用できる（画像ファイルの変更も可能）
    * [ImageOptim](https://imageoptim.com/mac)：サイズを変えずに画質でファイルサイズを小さくするMacAPP,Win用の代替えソフトの紹介あり
    * 毎週作ったデータをRepoに含めますが、リンクはページの最後など分かりやすい場所にまとめて置きましょう（Global Evaluatorの作業効率化に協力=自分の内容の評価が早く進んで修正の指示が早く来るようになる）

### Agreements
* [Fab Academy 2019 Documents](http://fabacademy.org/2019/doc/index.html)  
* Agreements: [students](http://fabacademy.org/2019/doc/students.md)  内容をコピー > GitLab Repo > docs > about > `agreement.md`> Edit > 自分の名前を入力  > Commit change   

### Git
[class archive](http://academy.cba.mit.edu/classes/project_management/archive.html)  

- git tutorial をやってみる
    - [git tutorial](https://git-scm.com/docs/gittutorial)  
    - [ProGit Book](https://git-scm.com/book/en/v2)

* コマンドライン
    * Windows
        * [git](https://git-scm.com/downloads): windows-key > Git > Git Bash  
        * [class archive](http://academy.cba.mit.edu/classes/project_management/archive.html): Windows Subsystem of Linux > bash
    * Mac
        * Launchpad > その他　> ターミナル  
    
* versionの確認（gitがインストール済かの確認）
```
$ git --version
```

* ダウンロード
    * [git](https://git-scm.com/downloads)
    * [GUI Clients](https://git-scm.com/downloads/guis/)
    * 勉強なので両方使ってみましょう（ドキュメントもしましょう）

* パスを通す
    * 最新版をインストールしても古いバーションが表示される場合はパスを通す  
    * ref. [Gitのパスを確認する](https://tracpath.com/bootcamp/git-install-to-mac.html#3)

* セットアップ  
**local identity**  
```
$ git config –-global user.name “YOUR_USERNAME”  
$ git config -–global user.email “jSmith@mail.com” 
```

**SSH keyが既にあるかの確認**
```
$ cd  
$ cd .ssh/  (.sshフォルダがない場合はSSH keyはない。.sshフォルダも次のssh-keygenで作られる)
$ ls  
id_rsa      (private key: PC内で照合されるもの)
id_rsa.pub  (public key: GitLabにコピーするもの)
```

**ない場合又は違うキーを使う場合**
```
$ cd ~/.ssh/
$ ssh-keygen
Enter file in which to save the key (/Users/me/.ssh/id_rsa): エンターで~/.ssh/id_rsaが作られるorファイル名で今の階層に作成される
Enter passphrase (empty for no passphrase): エンターでパスワードなし
Enter same passphrase again: エンターでパスワードなし
```

**[権限をオーナーのみ参照可能に設定](https://do-zan.com/mac-terminal-chmod/)**
```
$ cd ~/.ssh/
$ ls -l
-rw------- 1 myusername staff 00 1 23 12:34 id_rsa
-rw-r--r-- 1 myusername staff 00 1 23 12:34 id_rsa.pub
$ chmod 600 id_rsa
$ ls -l
-rw------- 1 myusername staff 00 1 23 12:34 id_rsa
```

**id_rsa.pubの内容をコピー**
```
$ cd ~/.ssh/
$ cat id_rsa.pub
ssh-rsa......local 最初から最後まで全てコピーする
```

**GitLabにコピーしたid_rsa.pubの内容を保存**  
GitLab > 右上アイコン > [Setting](../images/week02/setting.png) > [SSH Key](../images/week02/sshkey.png) > Key > ペースト > タイトルをつけて保存

**PCにローカルRepoをクローンする**  
GitLabのRepo (Kannai student/your.name)からSSHアドレスをコピー  
```
$ cd
$ mkdir fabacademy ローカルのRepoをその中に作るためのフォルダを作る（既存ファオルダでも可）
$ cd fabacademy/
$ git clone git@gitlab.fabcloud.org:academany/fabacademy/2019/labs/kannai/students/my-name.git コピーしたSSHアドレスをペースト
Enter passphrase for key ‘/User/me/.ssh/id_rsa’: エンター（パスワードを設定した場合は入力）
$ ls
your-name　クローンされてローカルRepoになったフォルダ
$ cd your-name
$ ls -la
.git　中に.gitがあればgit管理されている証拠
README.md
docs
mkdocs.yml
requirements.txt
```

**ローカルRepoにファイルを追加する**
```
$ cd
$ cd fabacademy
$ cd your.name
$ ls
$ nano test.md
    # header
    - local repo
Exit コントロール+x > Save? Y > File Name: test.md エンター
$ ls
test.md
```

**変更分をGitLabに更新する**
```
$ git add . 
$ git status
$ git commit -m 'add test.md'
$ git status
$ git push
```

**GitLabでtest.mdを編集**
```
    # header
    - local repo
    - remote repo
```

**local repoに変更を反映**
```
$ git pull
```

**gitの練習**  
今の時点ではコンフリクトが起きても修正は楽なので、今のうちに練習しておく

### サイトの確認
自分の[personal site](http://fabacademy.org/2019/people.html)が反映されたか確認

### `mkdocs.yml` をカスタマイズ
自分の中身に変更する

### プロフィールページを作成
docs/about/`index.md`


### ドキュメンテーション
- プロフィール: 職業・経歴などのバックグラウンドなど、詳しく書いてある方が発表の時にたくさん参照してくれます
- week1
    - Final Projectのスケッチ、アイデア、各週の宿題を含めたスケジュール感
- week2
    - Gitチュートリアルを読んで学んだこと（読んだだけだと評価者に伝わらないので、感想・メモ・画像などを載せること）
    - Gitの環境をどうやってつくったか
    - サイトはどうやって作ったか(.md、.html、エディッタ、low level HTML)
- Final Project ページ
    -  構成を考えて計画的に書き加えていく


### 読みましょう
- FabAcademy-Assessment: 4.[Project Management](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_management.html)
- FabAcademy-Tutorials: [2-10](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week01_principles_practices_project_management/git_simple.html)

## Useful links
- 2018 FabAcademy Recitation動画
    - FAB-20180129A_RECITATION02 GITLAB by Fiore: https://vimeopro.com/academany/fab-2018/video/253336757
    - 資料: http://fab.academany.org/2018/recitations/gitlab.html#1

## For Next Week
* Monday 9:00 EST, 23:00 JST
    * Recitaion: version control
* Tuesday Time:
    * Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST ?
    * videoconference
        * conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
    * Last year's: [https://zoom.us/j/5596119354](https://zoom.us/j/5596119354)  PW1234
    * Regional Reviews Scheduling
        * Tuesdays 9:00 - 11:00 EST (Nuria Robles: Spain)
* Wednesday 9:00 EST, 23:00J ST
    * [Computer-Aided Design](http://academy.cba.mit.edu/classes/computer_design/index.html)

    **assignment**  

>   model (raster, vector, 2D, 3D, render, animate, simulate, ...) a possible final project, and post it on your class page  


* [FreeCAD](https://www.freecadweb.org/) が進化したらしい [video](http://academy.cba.mit.edu/classes/computer_design/freecadsketch.mp4)


