# 5. Electronics production

## Class site

[Electronics Production](http://academy.cba.mit.edu/classes/electronics_production/index.html)

## Class video
[Fab-20190213B_Review03: computer-controlled cutting](https://vimeo.com/317185868)  
[Fab-20190213D_Lesson04: electronics production](https://vimeo.com/317186059)  
[video](https://vimeo.com/academany/)

## Assignment
> **group assignment**:  
>      characterize the design rules for your PCB production process  

> **individual assignment**:  
>      make an in-circuit programmer by milling the PCB,  
>      program it, then optionally try other PCB processes  
>         ATtiny45  
>            [Sean](http://fab.cba.mit.edu/classes/863.17/CBA/people/seanhickey/weeks/06-large-format-machining) [Alex](http://fabacademy.org/2018/labs/fablabzoi/students/alexdavid-tocagonanrango/wk5.html) [Tomás](http://fab.cba.mit.edu/classes/863.17/CBA/people/tomasero/index.html) [Jonathan](https://jw4rd.github.io/shieldMill) [**Brian**](http://fab.cba.mit.edu/classes/863.16/doc/projects/ftsmin/index.html) [Zaerc](http://fabacademy.org/archives/2015/doc/projects/FabTinyStar/)  
>         ATtiny44  
>            [Ali](http://fab.cba.mit.edu/classes/863.16/doc/tutorials/FabISP/FabISP_Demystified.html) [Valentin](http://fab.cba.mit.edu/classes/863.11/people/valentin.heun/2.htm) [Bas](http://fabacademy.org/archives/2012/students/bas.withagen/cl08asgn.html) [Andy](http://fab.cba.mit.edu/content/archive/projects/fabispkey/index.html) [David](http://fab.cba.mit.edu/content/archive/projects/fabisp/)  
>               [hello.ISP.44.cad](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.cad) [board](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.png) [components](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.components.png) [traces](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.traces.png) [interior](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.interior.png)  
>               [hello.ISP.44.res.cad](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.cad) [board](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.png) [traces](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.traces.png) [interior](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.interior.png)  
>               [inventory](http://fab.cba.mit.edu/about/fab/inv.html) [microcontroller](http://search.digikey.com/scripts/DkSearch/dksus.dll?Detail&name=ATTINY44A-SSU-ND) [crystal](http://search.digikey.com/scripts/DkSearch/dksus.dll?Detail&name=644-1039-1-ND) [USB connector](http://search.digikey.com/scripts/DkSearch/dksus.dll?Detail&name=H2961CT-ND) [ribbon connector](http://www.mouser.com/ProductDetail/FCI/71600-006LF/?qs=yJYkLTYh5760qKJxwPD6hA%3d%3d) [Zener diode](http://search.digikey.com/scripts/DkSearch/dksus.dll?Detail&name=BZT52C3V3-FDICT-ND) [jumper](http://search.digikey.com/scripts/DkSearch/dksus.dll?Detail&name=311-0.0ERCT-ND)  
>               [firmware.zip](http://academy.cba.mit.edu/classes/embedded_programming/firmware.zip) [programming](http://archive.fabacademy.org/archives/2016/doc/programming_FabISP.html)  
>         USB timing

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/electronics_production.html)
- Described the process of milling, stuffing, de-bugging and programming
- Demonstrate correct workflows and identify areas for improvement if required

> **Important note**: As outlined in the [Commercial Boards policy](http://fabacademy.org/2019/docs/FabAcademy-Assessment/commercial_board_policy.html), fabbing your own boards is an important part of Fab Academy. The 'fabbest' way to do this, is by milling your FR1 boards via Fab Modules or Mods.

## Have you?
- Shown how you made and programmed the board
- Explained any problems and how you fixed them
- Included a ‘hero shot’ of your board


## For Japanese

### Solidworks Lisence
- Instractor will give students email to Abhushek.BALI directly

### ISPとは
- In-System Programmer, ICP (In-Circuit Programmer), ICSP (In-Circuit System Programmer)
- 次週以降に作る基板にプログラムを書き込む時に使用する「書込み機」を作る > 自作機を使わないと完成させていないと解釈されるので注意
- 市販の書込み機(AVRライタ)
    - [ATMEL-ICE](https://www.mouser.jp/ProductDetail/556-ATATMELICE-BASIC)
        - [data sheet, user guide](https://www.mouser.jp/datasheet/2/268/Atmel-42330-Atmel-ICE_UserGuide-1368684.pdf)  
    - [Atmel AVRISP mkII](https://avr.jp/user/DT/PDF/AVRISPmk%E2%85%A1.pdf)
- Arduino UNOを書込み機として使用することも可能
    - [Arduino as ISP and Arduino Bootloaders](https://www.arduino.cc/en/Tutorial/ArduinoISP)
    - [Tutorial 5.4 Use an Arduino UNO as an ISP to program your first FabISP](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week04_electronic_production/arduino_isp.html)
    - [my site](http://archive.fabacademy.org/2017/fablabkamakura/students/44/index.html)

### 環境
- Roland MDX-15
    - [マニュアル](https://www2.rolanddg.co.jp/download/3d/manual/manual_mdx1520.html)
    - [FAQ](https://www2.rolanddg.co.jp/support/3d/modela/FAQ_mdx1520.html)
        - Q WindowsXP/2000でdriverのプリンタスプーラにあるデータを削除したいのですが、キャンセル（削除）を選択しても消えません。
        - A 以下の手順をお試しください。（WindowsXP の場合の操作例）
            - MDX-15/20本体のViewボタンを押して一時停止する。
            - コントロールパネル > 管理ツール > サービス > print spooler で 停止 を選択する。
            - \WINDOWS\system32\spool\PRINTERS　にあるデータを削除する。
            - コントロールパネル > 管理ツール > サービス > print spooler で 開始 を選択する。
            - PCを再起動する。
            - **MDX-15/20本体の　TOOL-UP キー　と　TOOL-DOWN キー　を同時に押す**
            - **View LED の点滅が終わったら消去終了です**

- 基板切削
    - OS: Ubuntu
    - ソフト
        - [Fabmodules](http://fabmodules.org/) > PNGのサイズを確認・DPIで調整
        - [mods](http://mods.cba.mit.edu/) >　使用しない
        - PNG解像度: 500-1000 dpi
    - USB-シリアル変換ケーブル
        - [StarTech ICUSB232V2](https://www.amazon.co.jp/gp/product/B00GRP8EZU/ref=ppx_yo_dt_b_asin_title_o00__o00_s00?ie=UTF8&psc=1)  
<img src="https://images-na.ssl-images-amazon.com/images/I/51aH2Ph79GL._SL1000_.jpg" width="320">

- 2.5D切削用(Molding & Casting, 面だし)
    - OS: Windows 
    - ソフト
        - Modela Player 4
        - Vertual Modeler
    - USB-シリアル変換ケーブル
        - [ME-US3](http://shop2.genesis-ec.com/search/item.asp?shopcd=17266&item=1000006819)  
![](http://shop2.genesis-ec.com/17266/pic/1000006819_1.jpg)

- 基板切削で使用するエンドミル
    - シャンク径: 1/8インチ (3.175mm)
        - 0.0100" DIA 220M .010 (0.254 mm)
        - 0.0156" DIA 2FL SE AlTiN 1/64 (0.396875 mm) > マイビット制（新品１本、記名して保管）
        - 0.0312" DIA 2FL SE AlTiN 1/32 (0.79375 mm) > 共有
- カット基板
    - FR1 (phenolic paper)
        - [サンハヤト 銅張積層板 片面 紙フェノール 100×150×1.6mm【12】 ](https://www.marutsu.co.jp/pc/i/8457/#item_description)

### Group Assignmrnt
- trace widthのテストパターンを切削して評価する  
    - [traces](http://academy.cba.mit.edu/classes/electronics_production/linetest.png) [interior](http://academy.cba.mit.edu/classes/electronics_production/linetest.interior.png) [1/64"](http://academy.cba.mit.edu/classes/electronics_production/0156.jpg) [0.010"](http://academy.cba.mit.edu/classes/electronics_production/010.jpg)
- オリジナルのテストパターンでもよい

### Assignment
- FabISPを切削する
    - どのバージョンでもよい
        - 部品の在庫を確認
            - [Kannai Inventory_student](https://docs.google.com/spreadsheets/d/1qa7KH_eZlNbBe4v6hRs2aoUpUX6Z6viAnFmCRfwmeNk/edit?usp=sharing) 
        - 以前は hello.ISP.44.res.cadを推奨 [board](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.png) [traces](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.traces.png) [interior](http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.res.interior.png)  
        - classで推奨 [**Brian**](http://fab.cba.mit.edu/classes/863.16/doc/projects/ftsmin/index.html) > well documented
    - 高速のUSB-Cでは動かない場合がある(Software USBのスペックの問題) > USB 1.0, 2.0のPCで試す
- 電子部品を半田付けする
    - [Kannai Inventory_student](https://docs.google.com/spreadsheets/d/1qa7KH_eZlNbBe4v6hRs2aoUpUX6Z6viAnFmCRfwmeNk/edit?usp=sharing) に使用数を入力
    - [チップ抵抗の読み方](http://www.nteku.com/teikou/teikou-chip-yomikata.aspx)
- 市販の書込み機を使って書込み
- 動作確認

- optionally try other PCB processes

### 読みましょう
- FabAcademy-Assessment: 7.[Electronics Production](http://fabacademy.org/2019/docs/FabAcademy-Assessment/electronics_production.html)
- FabAcademy-Tutorials: [5.1-5.9](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week04_electronic_production/mods.html)

### Useful links
- [fuse bits - FabISP](https://docs.google.com/document/d/1X5b8HZofAb2uCDtwb-GxJ16jQ_Ychfe4l4svIxk-EiE/edit?usp=sharing)
- [MDX-15 捨て板面出し](https://docs.google.com/document/d/1S7pZujZKYoe-0l6L0VkCLh-3aJF-dn8J7iHrws6baXk/edit?usp=sharing)
- [MDX-15をWin10につなぐ](https://docs.google.com/document/d/1CalDu9b6mQGUAGzrdYb9CpJtkPkOzkxzQLsB9GgWVgw/edit?usp=sharing)
- [FabTinyISP on Raspberry Pi Raspbian](http://yuichitamiya.fabcloud.io/mkdocs/raspi-fabtinyisp/)

## For Next Week
- Monday 9:00 EST, 23:00 JST
    - Recitaion: none
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 可能な限り参加してください
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 EST, 23:00JST
    - videoconference
        - [https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [3D Scanning and Printing](http://academy.cba.mit.edu/classes/scanning_printing/index.html)

## assignment 
>   **group assignment**:  
>      - test the design rules for your 3D printer(s)  
>
>   **individual assignment**:  
>      - design and 3D print an object (small, few cm3, limited by printer time)  
>         that could not be made subtractively  
>      - 3D scan an object (and optionally print it)  
   