# 6. 3D Scanning and printing

## Class site

[3D Scanning and Printing](http://academy.cba.mit.edu/classes/scanning_printing/index.html)

## Class video
[Fab-20190220B_Review04: electronics production](https://vimeo.com/318844431)  
[Fab-20190220D_Lesson05](https://vimeo.com/318844907)  
[video](https://vimeo.com/academany/)


## Assignment
> **group assignment**:  
>      - test the design rules for your 3D printer(s)  
> **individual assignment**:  
>      - design and 3D print an object (small, few cm3, limited by printer time)  
>         that could not be made subtractively  
>      - 3D scan an object (and optionally print it)  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/3d_scanning_and_printing.html)
- Identify the advantages and limitations of 3D printing and scanning technology
- Apply design methods and production processes to show your understanding.

## Have you?
- Described what you learned by testing the 3D printers
- Shown how you designed and made your object and explained why it could not be made subtractively
- Scanned an object
- Outlined problems and how you fixed them
- Included your design files and ‘hero shot’ photos of the scan and the final object


## [tutorial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week05_3dscanning_and_printing/3d_scanning_printing.html)
[6.1. Introduction to 3d scanning and printing- Video](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week05_3dscanning_and_printing/3d_scanning_printing.html)  
[6.2. 3d scanning Tools and Video Tutorials](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week05_3dscanning_and_printing/3d_scanning_tools.html)  
[6.3. Point Cloud to Mesh](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week05_3dscanning_and_printing/point_cloud_mesh.html)  


## For Japanese

### Solidworks Lisence
- Abhushek.BALIにメールアドレス送信済
- Waitnig from him

## Schedule
-  June 5(Wed) class "project development" to June 6(Thursday)

### repo size
- Top 10は公開修正されます
- [https://gitlab.fabcloud.org/academany/fabacademy/2019/site/blob/master/sizes.md](https://gitlab.fabcloud.org/academany/fabacademy/2019/site/blob/master/sizes.md)
- [2. Project management](http://yuichitamiya.fabcloud.io/mkdocs/assignments/week02/)

## final project page
- 作る

### Group Assignment
- [lab site](http://fabacademy.org/2019/labs/kannai/)
    - [repo](https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/site)
    - 交代で詳しく書く
    - 権限確認
    - 4. Computer controlled cutting
    - 5. Electronics production
    - 6. 3D Scanning and printing
- student site
    - lab siteのリンクを載せる
    - 各自でダイジェストを書く

## large file
- stlで大きなファイルはSketchfabなどの外部サイトに保存し、自分のページに組み込む

```
<div class="sketchfab-embed-wrapper"><iframe width="640" height="480" src="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915/embed" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

<p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
    <a href="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Dita&#39;s Gown</a>
    by <a href="https://sketchfab.com/francisbitontistudio?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Francis Bitonti Studio</a>
    on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
</p>
</div>
```

<div class="sketchfab-embed-wrapper"><iframe width="640" height="480" src="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915/embed" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

<p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
    <a href="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Dita&#39;s Gown</a>
    by <a href="https://sketchfab.com/francisbitontistudio?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Francis Bitonti Studio</a>
    on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
</p>
</div>

### Group Assignment
- テストピースを3Dプリントして、使用する３Dプリンターの特性を考察する
- ダウンロード可

## Assignment
### 3D プリント
- additive process(付加工程) vs subtractive process(削除工程)
- 3Dデータを作る（ダウンロード不可）
- 小さいもの（数cm3）
- subtractivelyで制作が困難なもの

**FAQ: Define cannot be made subtractively**  
Answer: That cannot be fabricated with 3 axis limitations OR even if it’s possible to make it, it is complicated.

### 3Dスキャン
- 何か３Dスキャンする
    - [Sense](https://www.3dsystems.com/shop/sense), [iSense](https://www.3dsystems.com/shop/isense/techspecs)> .obj or .ply > Win: 3Dビューア
    - photogrammetry: 写真 > サーバー > ダウンロード
- 大きさ等制限なし
- optionally print it

## ShopBot用の材料発注
- 15mm x 1,220mm x 1,215mm 1枚
- 2枚以上必要であれば実費追加可能（本日昼まで）3,763円/2枚毎


## For Next Week
- Monday 9:00 EST, 23:00 JST
    - Recitaion: tools
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 可能な限り参加してください
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 EST, 23:00JST
    - videoconference
        - [https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Electronics Design](http://academy.cba.mit.edu/classes/electronics_design/index.html)

## assignment
>   **group assignment**:  
>      use the test equipment in your lab to observe the operation  
>         of a microcontroller circuit board  

>   **individual assignment**:  
>      redraw the echo hello-world board,  
>      add (at least) a button and LED (with current-limiting resistor)  
>      check the design rules, make it, and test it  
>      extra credit: simulate its operation  
>      extra credit: render it  

今年はEagleよりもKiCAD推し

