# 8. Computer controlled machining

## Class site

[Computer-Controlled Machining](http://academy.cba.mit.edu/classes/computer_machining/index.html)

## Class video
[Fab-20190306B_Review06: electronics design](https://vimeo.com/321870820)  
[Fab-20190306D_Lesson07](https://vimeo.com/321871297)  
[video](https://vimeo.com/academany/)   

## Assignment
> **group assignment**:  
>      test runout, alignment, speeds, feeds, and toolpaths for your machine  
>
> **individual assignment**:  
>      make something big  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-controlled_machining.html)
- Demonstrate 2D design development for CNC production
- Describe workflows for CNC production

## Have you?
- Explained how you made your files for machining (2D or 3D)
- Shown how you made something BIG (setting up the machine, using fixings, testing joints, adjusting feeds and speeds, depth of cut etc)
- Described problems and how you fixed them
- Included your design files and ‘hero shot’ photos of final object

## FAQ
- How big is big?
    - Answer: Big enough to show you understand many of the possibilities of CNC machining - drill, pocket, dogbones, nesting, etc. 

## [turorial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week07_computer_controlled_machining/cnc.html)
[8.1. Introduction to CNC- Video](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week07_computer_controlled_machining/cnc.html)  
[8.2. Guido to CNC A-Z](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week07_computer_controlled_machining/cnc_tips.html)  

## for Japanese

### nueval
- [nueval](http://nueval.fabacademy.org/) が公開された
- ログイン > fablab.io username > GitLabと同じ？
- インストラクターがSetup evaluation sheetを押すと開始
- 評価の流れ
    - Continuous evaluation: 受講生が自分でチェック > ローカルインストラクターがチェック
    - ５月頃？ >  ローカルインストラクターが進捗100%にした週の分 > Globl Evalがチェック開始
    - Global Evalされている分は、受講生はGlobal Evaluatorと直接やりとりして指摘項目をクリアしていくしかない（ローカルインストラクターは介在できない）
    - 卒業 > Global Evaluatorが全てを100%にした時
- nuevalを確認

### 夏時間
- アメリカは3/10(日)から夏時間
- 日本では1時間早くなる　23:00-2:00 > 22:00-1:00
- [World Clock](https://www.timeanddate.com/worldclock/)

### 材料
- シナランバー
- 15mm x 1,220mm x 1,215mm　x4枚
    - 個人用 各1枚
    - Group Assignmentと予備用　x1枚
- 最大各1.3枚（３６板 910mm × 1,820mm より少し大きい面積）
- 個体差がある
    - 厚さ
    - 歪み

### TechShopのShopBot
- サイズ
    - 材料寸法１枚: 1,220mm x 1,215mm
    - 最大加工寸法: 1,300mm x 1,200mm
    - ジョブサイズ: 1,220mm x 1,200mm (VCarve上の設定)

![](../images/week08/vcarve-jobsize.png) 

### Group Assignment
- 3/10(日) @ TechShop
- test for your machine
    - runout: [回転体の半径方向の振れ](https://www.transwd.com/honyaku-book/book/04_page/2_6.html) > エンドミルの振れ
    - alignment: 角度、向き、位置など機械構造の歪み > 正方形を削り、歪みがないか確認
    - speeds
    - feeds
    - toolpaths
- テストピースを削り、プレスフィットする条件を見つける
    - 段ボールのレーザーカットに比べシビアに設定が必要
        - 材料が重いので緩いと自重で外れる
        - 材料が硬いので押し込んでも入らない > ヤスリ掛けが必要
        - 重量物を乗せることがある（人、物）
    - kerf: 切り口の幅
        - Tool Diameter > 1/4"(6.35mm)（固定）
        - 板厚 > 実測値(15mm ± α)
            - 自分の板の厚みを事前に確認 > 名前を書いておく
            - パラメトリックデザインで板厚を変えられるようにしておく
        - VCarveの「交差オフセット」を変えたテストピースを削り判断
            - 交差オフセット[mm]: 0, -0.25, -0.5, ...
            - ちょうど良い交差オフセットで本番も削る
            - この時のspeed, feedsもメモ
    - フィレット
        - 組み合わせ部分にT-bone Filetなどがないと組み上がらあい
        - 作図 > オブジェクト編集 > フィレット > 工具半径:3.157mm (1/4"(6.35mm)の半分)
        - ref.[Vectric V8 Tutorials - 3 Legged Stool Drawing](https://www.youtube.com/watch?v=SNuh1TGOH_0)
        

### Assignment
- 3/9(土) @ FabLab関内 > -17:00(来客予定あり)
    - Fusion 360
        - パラメトリック
    - ジョイント
        - プレスフィットしなくても固定できる 
        - 参照：
    - レーザーカットでテスト
        - デザインのミスを見つける
    - [VCarve Pro Trial](https://www.vectric.com/free-trial/vcarve-pro)
        - 操作の復習
            - ファイル形式: Drawing Files(.dxf .dwg .eps .ai .pdf .skp . svg) 
        - トライアル版は保存出来ない
        - TechShop SBUの資料参考
        - 固定用ビスを打つ場所（パスの通らないところへ）
        - Air Cut

- 3/10(日) @ TechShop
    - 予約: 10:00-21:00
    - 会員証持参
    - 持ち帰り用袋持参（各自）
    - 電動紙ヤスリを持参（田宮） > 切削終了後は順次仕上げ作業

## For Next Week
- 3/12(火)-3/14(木): 帰省

- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: design
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 可能な限り参加してください
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
        - 多分使用しない[https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Embedded Programming](http://academy.cba.mit.edu/classes/embedded_programming/index.html)

## assignment  
>   **individual assignment**:  
>      read a microcontroller data sheet  
>      program your board to do something,  
>         with as many different programming languages  
>         and programming environments as possible  
>
>   **group assignment**:  
>      compare the performance and development workflows  
>         for other architectures  

data sheet [English](http://academy.cba.mit.edu/classes/embedded_programming/doc8183.pdf) [Japanese](https://avr.jp/user/DS/PDF/tiny44.pdf)

[repo](https://gitlab.fabcloud.org/yuichitamiya/mkdocs/blob/master/docs/assignments/week08.md)
