# 10. Molding and casting

## Class site
[Molding and Casting](http://academy.cba.mit.edu/classes/molding_casting/index.html)

## Class video
[Fab-20190320B_Review08: embedded programming](https://vimeo.com/325521701)  
[Fab-20190320D_Lesson09: molding and casting](https://vimeo.com/325522302)  
[video](https://vimeo.com/academany/)   

## Assignment
>   **group assignment**:  
>      review the safety data sheets for each of your molding and casting materials,  
>         then make and compare test casts with each of them  
>
>   **individual assignment**:  
>      design a mold around the stock and tooling that you'll be using,  
>         mill it (rough cut + (at least) three-axis finish cut),  
>         and use it to cast parts  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/moulding_and_casting.html)
- Design appropriate objects within the limitations of 3 axis machining
- Demonstrate workflows used in mould design, construction and casting

## nueval-Check List
- Explained how you made your files for machining
- Shown how you made your mould and cast the parts
- Described problems and how you fixed them
- Included your design files and ‘hero shot’ photos of the mould and the final object
- Reviewed the safety data sheets for each of your molding and casting materials, then made and compared test casts with each of them

## FAQ
- I want to only make a wax mould, and cast something in it. Is that acceptable?
    - Learn and go through the 3 step process first . To break the rules you have to master the rules.
- Can I 3D print the mold? Can I do a lasercut? 
    - No, for this assignment you must mill the mould using a CNC milling machine.

## [Turotial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week12_molding_and_casting/molding_casting.html)  
[12.1. Introduction to Molding and Casting- Video](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week12_molding_and_casting/molding_casting.html)  
[12.2. Molding and Casting - FabModules](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week12_molding_and_casting/molding_fabmodules.html)  
- Examples  
    - [3D SCANNING TO MOLD](http://archive.fabacademy.org/archives/2016/fablabseoul/students/366/week13.html)  
    - [2D PART MOLD EXAMPLE](http://archive.fabacademy.org/archives/2016/fablabseoul/students/208/12.html)  

## For Japanese

### nueval
- Global Evalが始まりました
    - now proceed to request Global Evaluation for your students
    - 3 assignments or more already checked
    - Once they are assigned to a Global Evaluator, that credit is used, and they will have to pay a new evaluation if they don't finish now.
        - continuing students
            - one free re-eval/person
            - pay after two cycles
- Week 1- week 9
    - 指摘 > 修正・Student's checklistをチェック > 全てチェックが３週以上 > Global Evalをリクエスト可 > Global Evalatorがアサインされる
- week 10以降
    - Student's checklistが全てチェックされた週　> 確認 > (指摘 > 修正)　> Global Evalへ
- 期限
    - Apr 24: sort go/?/no-go for review
    - Jun 19: last date to submit for review
    - Jun 26: last date for feedback from review
    - July 3: last date for review feedback

### 手順
- 3Dデザイン
    - positive
    - 位置合わせ凹凸
- ワックスをMDX-15で削る
    - positive
    - ケーブル：黒
    - PC: Windows
    - ソフト：ローランド製（Fabmodules,modsは使用しない）
        - rough cut
            - 0.1250" DIA 2FL SE AlTiN 1/8
            - 0.1250" DIA 4FL SE LONG AlTiN 1/8
        - finish cut
            - 0.0625" DIA 2FL SE AlTiN 1/16
            - 0.0625" DIA 2FL BALLNOSE AlTiN 1/16
            - 0.1250" DIA 4FL BALLNOSE LONG AlTiN 1/8
    - ワックスは回収 > 再利用
- シリコンをワックスに流し入れ、型をとる
    - negative 
- ウレタン樹脂をシリコン型に流し入れ、成果物
    - positive
    - ウレタン樹脂には色をつけることも可
    - 低融点金属も使用可

### 材料
- ミリングワックス、モデリングワックス、マシーナブルワックス
    - Ferris File-A-Wax
    - Blue
    - 92 x 152 x 39 mm x各1個（予備あり）
    - [Safety Data Sheet & Technical Data Sheet](http://www.freemanwax.com/ferris-file-a-wax-carving-milling-waxes.html) 
- モールド（シリコンゴム）
    - [Smooth-on MOLD STAR 16 FAST](https://www.smooth-on.com/products/mold-star-16-fast/)
        - Mix Ratio: 1A:1B by volume / 1A:1B by Weight
        - Pot Life: 6 min
        - Cure Time: 30 min
        - Temp: 450F 232C
        - Color: Blue-Green
        - 0.9 kg x 2
        - [Technical Bulletin](https://www.smooth-on.com/tb/files/MOLD_STAR_15_16_30_TB.pdf)
            - [日本代理店作成](https://drive.google.com/drive/u/0/folders/1t8bHSE2WCgmwx1lOEwFcJmFWPTJGGNPm)
            - [Shore A Hardness](https://www.smooth-on.com/page/durometer-shore-hardness-scale/): 16A
        - [Safety Data Sheet](https://www.smooth-on.com/msds/files/BD_DS_Eco_Equ_EZB_EZS_Psy_MS_OOMOO_Reb_ST_SS_Soma_Sol_Sorta.pdf)
- キャスト（ウレタンレジン） 
    - [Smooth-on Smooth-Cast 300](https://www.smooth-on.com/products/smooth-cast-300/)
        - Mix Ratio: 1A:1B by volume or 100A:90B by weight
        - [Mold Making & Casting Calculators](https://www.smooth-on.com/support/calculators/  )
        - Pot Life: 3 min
        - Cure Time: 10 min
        - Mixing Tool: metal, glass or plastic
        - Color: White
        - 0.9 kg x 2
        - [Technical Bulletin](https://www.smooth-on.com/tb/files/Smooth-Cast_300q,_300,_305___310.pdf)
        - [Safety Data Sheet](https://www.smooth-on.com/msds/files/SC_300_300Q_320_380_45D_60D_61D_65D_66D_ONYX.pdf)
-  ウレタン用着色剤
    - [Smooth-on SO-Strong](https://www.smooth-on.com/products/so-strong/)
        - 0.01% - 3% of the total weight (Parts A + B mixed) of the material being cast
        - [Technical Bulletin](https://www.smooth-on.com/tb/files/So-Strong_Tints.pdf)
        - [Safety Data Sheet](https://www.smooth-on.com/products/so-strong/)
- 低融点金属
    - [低融点合金地金（＃70・共晶）200g](http://www.zairyo-ya.com/products/320.html)
        - [SDS](https://drive.google.com/open?id=1urEV6htfV6jMv9lAgKTqnkgH2AKz5QWq)
    - [低融点合金地金（ # 138・共晶）・Pb/Cdフリー200g](http://www.zairyo-ya.com/products/236.html)
        - [SDS](https://drive.google.com/open?id=13BX7Zqx4WLyFwtdRXaze7KvClKAYGOmM) 
- 石膏
    - [吉野石膏 ハイストーンN 1kg](http://yoshino-gypsum-sales.com/modeling/industry.html#n04)
    - [鋳型用 耐熱石膏 ノリタケ G-2 1kg](https://www.noritake.co.jp/products/ceramic/middles/detail/117/)

### 作業時の注意
- モールド・キャスト
    - 換気に注意
    - ゴーグル、手袋を着用
    - 机等の養生をしっかりして、汚れを残さないように
    - 硬化時に発熱します
        - 未反応液は反応させてから捨てる
- 金属
    - 電気コンロ等の熱源を使用するので火傷に注意
        - 低融点とはいえ、融解した液体を加熱し続けると高温になる
    - 溶かしている最中・溶けた金属の扱いに注意
    - 鉛・カドミウム含有

## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: machines
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 可能な限り参加してください
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
        - 多分使用しない[https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Input Devices](http://academy.cba.mit.edu/classes/input_devices/index.html)

## assignment
> **individual assignment**:  
>     measure something: add a sensor to a microcontroller board  
>      that you have designed and read it  
>  
> **group assignment**:  
>      probe an input device's analog levels and digital signals  


## 参考
[ジェスモナイト](https://jesmonite.official.ec/)  
[モールテックス](https://bealmortex.com/ja/?gclid=CjwKCAjw7MzkBRAGEiwAkOXexKH1ZsIxE_h_nuCk1mQjR4A2IOIFTBi2xQFOHlHGMc6_SoucWz7Q3xoCicwQAvD_BwE)

[repo](https://gitlab.fabcloud.org/yuichitamiya/mkdocs)









    

        