# 12. Output devices

## Class site

[Output Devices](http://academy.cba.mit.edu/classes/output_devices/index.html)

## Class video

[Fab-20190403B_Review10: input devices](https://vimeo.com/328273248)  
[Fab-20190403D_Lesson11: output devices](https://vimeo.com/328273815)  
[video](https://vimeo.com/academany/)     

## Assignment
> **individual assignment**:  
>      add an output device to a microcontroller board you've designed,  
>         and program it to do something  
>
>**group assignment**:  
>      measure the power consumption of an output device  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/output_devices.html)
- Demonstrate workflows used in circuit board design and fabrication
- Implement and interpret programming protocols

## nueval-Check List
- Described your design and fabrication process using words/images/screenshots, or linked to previous examples.
- Explained the programming process/es you used and how the microcontroller datasheet helped you.
- Outlined problems and how you fixed them
- Included original design files and code


## [Turotial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/)

## For Japanese
### Final Presentation
- Jun 14: project presentations:アサイン済(金曜日)
    - 順番は後日

### Nueval
- 順次Feedback中
- Progress 100% 3週分 -> Global Eval Request

### FAB15
- venue
    - In El Gouna: the Conference will be in TU Berlin University Campus
    - In Cairo: the Festival will be in The Greek Campus, Downtown 

### individual assignment
- 部品確認（在庫確認）
    - [Kannai Inventory_student](https://docs.google.com/spreadsheets/d/1qa7KH_eZlNbBe4v6hRs2aoUpUX6Z6viAnFmCRfwmeNk/edit#gid=0)
- Final Projectの一部を作れれば効率的
    - 難しければ、簡単なものを一つ作って週の要件をクリアしてからじっくり挑む 

### Group Assignment
- measure the power consumption of an output device  
    - 電力消費を計測する
     - [2018 kamakura](http://archive.fabacademy.org/2018/labs/fablabkamakura/grouppage/output-devices/output-devices_index.html) 
        - テスターで電流を測る
            - [Sanwa PM-3](https://www.amazon.co.jp/exec/obidos/ASIN/B000JQHB6G/hatena-blog-22/) > 電流は測れない
            - [OHM TDX-200](https://www.amazon.co.jp/OHM-%E3%82%AA%E3%83%BC%E3%83%A0%E9%9B%BB%E6%A9%9F-%E3%83%87%E3%82%B8%E3%82%BF%E3%83%AB%E3%83%9E%E3%83%AB%E3%83%81%E3%83%86%E3%82%B9%E3%82%BF%E3%83%BC-TDX-200-04-1855/dp/B005BE4XZS)
             - 直流電圧:0~600V
             - 交流電圧:0~600V
             - 直流電流:0~200mA/10A
             - 抵抗:0~200kΩ
- **テスターを電圧・電流を測る時で繋ぎ方が異なる**  
    - 電圧測るように電流計を繋ぐと壊れる  
<img src="https://stat.ameba.jp/user_images/20110914/16/dog11181-star2/cd/52/j/t02200220_0800080011482516998.jpg" width="320">  
     - ref [教員採用試験対策のブログ](https://ameblo.jp/dog11181-star2/entry-11017655674.html)
    - 電流計(A): 直列に繋ぐ
    - 電圧計(V): 並列に繋ぐ 
    - 電流
        - 直列回路
            - 回路を流れる電流は回路のどこでも同じ大きさ
            - I = Ia = Ib
        - 並列回路
            - 全体の電流はそれぞれの抵抗を流れる電流の和
            - I = Ic + Id
    - 電圧
        - 直列回路
            - それぞれの抵抗にかかる電圧の和は電源の電圧
            - E = Ea + Eb
        - 並列回路
            - 各抵抗にかかる電圧や電源の電圧は等しい
            - E = EC = ED
    - ref.[回路の決まり](http://www.max.hi-ho.ne.jp/lylle/denryu4.html) 

- [A&D 直流安定化電源 AD-8724D](https://www.amazon.co.jp/gp/product/B003OHFCE0/ref=ppx_yo_dt_b_asin_title_o01_s00?ie=UTF8&psc=1)
    - 出力電圧:DC 0~30V
    - 出力電流:DC 0~2.5A


## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: programs
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
    - [Applications and Implications](http://academy.cba.mit.edu/classes/applications_implications/index.html)

## assignment
> Propose a final project masterpiece that integrates the range of units covered,   
> 　answering:  
> 　　What will it do?  
> 　　Who's done what beforehand?  
> 　　What will you design?  
> 　　What materials and components will be used?  
> 　　Where will come from?  
> 　　How much will they cost?  
> 　　What parts and systems will be made?  
> 　　What processes will be used?  
> 　　What questions need to be answered?  
> 　　How will it be evaluated?  
>  
> 　Your project should incorporate 2D and 3D design,  
> 　　additive and subtractive fabrication processes,  
> 　　electronics design and production,  
> 　　microcontroller interfacing and programming,  
> 　　system integration and packaging  
>  
> 　Where possible, you should make rather than buy  
> 　　the parts of your project  
>  
> 　Projects can be separate or joint, but need to show individual   
> 　　mastery of the skills, and be independently operable   

