# How to (almost) Use I2C Bridge and Node with Arduino sketch

- class page [Networking and Communications](http://academy.cba.mit.edu/classes/networking_communications/index.html)
- ***hello.I2C.45.bridge board***
![hello.I2C.45.bridge board](http://academy.cba.mit.edu/classes/networking_communications/I2C/hello.I2C.45.bridge.png)
- Note: MOSI_SDA line  should be connected to PB0, not PB1
  

- ***hello.I2C.45.node board***
![hello.I2C.45.node board](http://academy.cba.mit.edu/classes/networking_communications/I2C/hello.I2C.45.node.png)
- Note: MOSI_SDA line  should be connected to PB0, not PB1
- 
## [Arduino lib Download](https://playground.arduino.cc/Code/USIi2c/)
### I2C Master
- [TinyWireM.zip](https://playground.arduino.cc/uploads/Code/TinyWireM/index.zip)
- index.zip will download

### I2C Slave
- [TinyWireS.zip](https://playground.arduino.cc/uploads/Code/TinyWireS/index.zip)
- index(1).zip will download

## Arduino Sketch
Ref. [graduate page](http://archive.fabacademy.org/archives/2017/fablabsingapore/students/172/exercise15.html)

### I2C Bridge (Master)
````
#include (TinyWireM.h)
#define slave1 (1)
#define slave2 (2)
void setup() {
TinyWireM.begin();
}
void loop() {
TinyWireM.beginTransmission(slave1);
TinyWireM.send(1);
TinyWireM.endTransmission();
delay(2000);
TinyWireM.beginTransmission(slave1);
TinyWireM.send(0);
TinyWireM.endTransmission();
delay(2000);
TinyWireM.beginTransmission(slave2);
TinyWireM.send(1);
TinyWireM.endTransmission();
delay(2000);
TinyWireM.beginTransmission(slave2);
TinyWireM.send(0);
TinyWireM.endTransmission();
delay(2000);

}
````

### I2C Node (Slave 1)
````
#include (TinyWireS.h)
int output=PB4;
#define I2C_SLAVE_ADDR (1)
//#define I2C_SLAVE_ADDR (2)
void setup() {
// put your setup code here, to run once:
TinyWireS.begin(I2C_SLAVE_ADDR);
pinMode(output, OUTPUT);
}
volatile byte msg = 0; 
void loop() {
if (TinyWireS.available())
msg = TinyWireS.receive();
if (msg == 1)
digitalWrite(output, HIGH);
else if (msg == 0)
digitalWrite(output, LOW);
else
msg = 0;
}
````

### I2C Node (Slave 2)
````
#include (TinyWireS.h)
int output=PB4;
//#define I2C_SLAVE_ADDR (1)
#define I2C_SLAVE_ADDR (2)
void setup() {
// put your setup code here, to run once:
TinyWireS.begin(I2C_SLAVE_ADDR);
pinMode(output, OUTPUT);
}
volatile byte msg = 0; 
void loop() {
if (TinyWireS.available())
msg = TinyWireS.receive();
if (msg == 1)
digitalWrite(output, HIGH);
else if (msg == 0)
digitalWrite(output, LOW);
else
msg = 0;
}
````

1. the master is communicating with the node (slave 1), then send a 1 and 0 to the node.
1. The node (slave 1) will then respond by turning ON and OFF the LED which correspond with the condition set with the message receive.
1. the master communicate with node (slave 2) and then the process is repeated.

[video](https://drive.google.com/file/d/0Bz4H_JqaimYrRnpaWm1ubXJpR1E/preview)

<iframe src="https://drive.google.com/file/d/0Bz4H_JqaimYrRnpaWm1ubXJpR1E/preview" width="540" height="380"></iframe>








