# Local Broadcast (Mac) 
## Audio Flow
![](./images/local_broadcast/audio_flow.png)
----
## Video Flow
![](./images/local_broadcast/video_flow.png)
---

## Audio Setup
### Install [Soundflower](https://github.com/mattingalls/Soundflower/releases/tag/2.0b2)
![](./images/local_broadcast/soundflower.png)
- 2 virtual Audio Devices
    - Soundflower(2ch)
    - soundflower(64ch)


### Install [iShowU Audio Capture](https://support.shinywhitebox.com/hc/en-us/articles/204161459-Installing-iShowU-Audio-Capture)
- 1 virtual Audio Device
    - iShowU Audio Capture


### Setting  Audio MIDI Setup
![](./images/local_broadcast/midi.png)
- make Multi-Output Device, which has 2 out ports
    - Soundflower(2ch) goes to Hangout input
    - Built-in Output goes to Instructor's PC speaker or earphone
- how to:
    - Open Audio MIDI Setup: Launchpad > others > Audio MIDI Setup
    - + > Create Multi-Output Device > Multi-Output Device > [Use]Built-in Output > [Use]Soundflower(2ch) > Drift Correction [On] > Master device: Soundflower(2ch)
![](./images/local_broadcast/midi_setting.png)


### Install BlueJeans APP
![](./images/local_broadcast/BlueJeans.png)
- Browser Version can not select Multi-Output Device as Speaker  

### Setting BlueJeans APP
- Camera: ManyCam Virtual Webcam (select after setup ManyCam. FaceTime HD Camera is OK, so far)
- Microphone: iShowU Audio Capture
- Speaker: Multi-Output Device, which goes Soundflower(2ch)+Built-in Output
![](./images/local_broadcast/BlueJeans_setting.png)


### Install [Goole Hangout Extention for Chrome](https://chrome.google.com/webstore/detail/google-hangouts/knipolnnllmklapflnccelgolnpehhpl?hl=ja)
![](./images/local_broadcast/hangout.png)
### Setting Hangout
- Video: Facetime HD Camera
- Microphone: Soundflower(2ch), which is from BlueJeans and goes to Students PC Speaker via Internet
- Speaker: Soundflower(64ch), Students voice will come out from here and this output goes to mixer(LadioCast)  
![](./images/local_broadcast/hangout_setting.png)
- Screen Share: > Application Window > BlueJeans 
![](./images/local_broadcast/hangout_screenshare.png)


### Install [LadioCast](https://itunes.apple.com/jp/app/ladiocast/id411213048?mt=12)
![](./images/local_broadcast/LadioCast.png)
## setting
- Input 1
    - Soundflower(64ch) from hangout comes in
    - It goes to Output MAIN iShowU Audio Capture
    - It also goes to Output Aux1
- Input 2
    - Instructors PC Mic, so Instructors can talk from here
    - It goes to Output MAIN
- OutPut MAIN
    - It will mix Student's and Instructor's voice
- Output Aux1
    - Instructors PC Speaker
    - Instructors can monitor all audio here

![](./images/local_broadcast/LadioCast_setting.png)


## Video Setup
### Install[ManyCam](https://download.manycam.com/) 
![](./images/local_broadcast/manycam.png)  
## Attention: Free version never turn off ManyCam LOGO on the screen ##
## I'm still looking for better software. Please tell me if you find it.##
### Setting **ManyCam**
- right click on 2nd video source > Desktop > App Window 
    - too many option comes out, but hangout is one of "Google Chrome". Try! 
![](./images/local_broadcast/manycam_setting.png)

## Screen Shot
![](./images/local_broadcast/-->screenshot.png)
