# png2jpg APP (Mac)

## About
png2jpg is shell script application using ffmpeg on Mac.

## How to make

### Launch Automata

Launchpad > others > Automata  
![](./images/png2jpg/automata-icon.png)

### Make

File > New > Application > select
![](./images/png2jpg/file-new-application.png)


Find `Run Shell Script` and drag to right area
![](./images/png2jpg/run-shell-script.png)

Shell: `/bin/bash`  
Pass input: `引数として`(in English? not "to stdin")
![](./images/png2jpg/shell-passinput.png)


Add 3 lines like below (or replace all)
```
for f in "$@"
do
	echo "$f"
done
```

```
for f in "$@"
do
    echo "$f"
    new_f=`echo $f | sed 's/.png$/-1080p.jpg/'`
    echo $new_f
    /usr/local/bin/ffmpeg -i $f -vf scale=-1:1080 -qmin 1 -q 1 $new_f
done
```

File > Save > add file name

## Usage
command+shift+3 > Take Screenshot(*.png) > change name (should not include space" ") > *-1080p.jpg will be make  
![](./images/png2jpg/automata-icon.png)  
![](./images/png2jpg/file-size.png)  

3360 × 2100, png
![](./images/png2jpg/screenshot.png)  
1728 × 1080, jpg (keeping Aspect ratio, FullHD should be 1920 x 1080)
![](./images/png2jpg/screenshot-1080p.jpg)

## Download
Included in [Repo](https://gitlab.fabcloud.org/yuichitamiya/mkdocs)  
[png2jpg.zip](http://yuichitamiya.fabcloud.io/mkdocs/images/png2jpg/png2jpg.zip)
- [ffmpeg](https://www.ffmpeg.org/) is required
- check the PATH 

```
$ which ffmpeg
/usr/local/bin/ffmpeg
```

if the PATH is not like above, open png2jpg in Automata, then change this line

```
/usr/local/bin/ffmpeg -i $f -vf scale=-1:1080 -qmin 1 -q 1 $new_f
```


## Customize
Change this ffmpeg options

```
/usr/local/bin/ffmpeg -i $f -vf scale=-1:1080 -qmin 1 -q 1 $new_f
```
[ffmpeg](https://www.ffmpeg.org/): change options as you like  




